package edu.mermet.tp8.actions;

import java.awt.event.ActionEvent;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Properties;

import javax.swing.AbstractAction;
import javax.swing.JInternalFrame;

public class ActionNePlusAfficher extends AbstractAction {
    private JInternalFrame f;
    private int n;
    
    public ActionNePlusAfficher(JInternalFrame f, int n) {
        super("Ne plus afficher");
        this.f = f;
        this.n = n;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        f.dispose();
        try {
            Properties p = System.getProperties();            
            String name = p.getProperty("user.name");
            
            String chemin = "src/main/java/edu/mermet/tp8/donnees/"+ name +".properties";
            InputStream input = new FileInputStream(chemin);
            Properties prop = new Properties();
            prop.load(input);
            
            prop.setProperty("sug"+n, "no");
            
            OutputStream output = new FileOutputStream(chemin);
            prop.store(output,null);
            
            
        }catch (IOException io) {
            io.printStackTrace();
        }
    }

}