package edu.mermet.tp8.fenetres;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;
import java.util.Random;
import java.awt.BorderLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JInternalFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

import edu.mermet.tp8.actions.ActionFermer;
import edu.mermet.tp8.actions.ActionNePlusAfficher;

public class FenetreSuggestion extends JInternalFrame {
    private Boolean afficher;
    private JLabel label;
    private JButton fermer;
    private JButton plusAfficher;

    public FenetreSuggestion() {
        super("Suggestion", true,true,true,true);
        init();
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

    public void init() {        
        
        try {
            
            Properties p = System.getProperties();            
            String name = p.getProperty("user.name");
            
            InputStream input = new FileInputStream("src/main/java/edu/mermet/tp8/donnees/"+ name +".properties");
            
            JPanel panelBouton = new JPanel();
            JPanel panel = new JPanel();
            
            Properties prop = new Properties();
            prop.load(input);
            
            Random r = new Random();
            int n;
            
            for(int i = 1; i <= 14; i++) {
                if(prop.getProperty("sug"+i).equals("yes")) {
                    afficher = true;
                    i = 15;
                }                
            }
            
            if(afficher) {
                n = r.nextInt(14) + 1;
                
                while(!prop.getProperty("sug"+n).equals("yes")) {
                    n = r.nextInt(14) + 1;
                }
                
                label = new JLabel(prop.getProperty(n+""));
                
                panel.add(label);
                add(panel, BorderLayout.CENTER);
                
                fermer = new JButton("Fermer");
                fermer.addActionListener(new ActionFermer(this));
                
                plusAfficher = new JButton("Ne plus afficher");
                plusAfficher.addActionListener(new ActionNePlusAfficher(this, n));
                
                panelBouton.add(fermer);
                panelBouton.add(plusAfficher);
                add(panelBouton, BorderLayout.SOUTH);
            }
            
            setSize(450, 125);
            setVisible(afficher);
            
        }catch (IOException io) {
            io.printStackTrace();
        }
    }
}