package edu.mermet.tp8.actions;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JDialog;
import javax.swing.KeyStroke;

import edu.mermet.tp8.Application;
import edu.mermet.tp8.dialog.ConfigurationMenu;

public class ActionAfficherConfigurationMenu extends AbstractAction {
    private Application appli;
    private JDialog configurationMenu;

    public ActionAfficherConfigurationMenu(Application appli) {
        super("Configuration des menus");
        this.appli=appli;
        putValue(Action.ACCELERATOR_KEY,KeyStroke.getKeyStroke(KeyEvent.VK_M, InputEvent.CTRL_DOWN_MASK));
        putValue(Action.MNEMONIC_KEY,KeyEvent.VK_M);
    }

    @Override
    public void actionPerformed(ActionEvent ae) {
        configurationMenu = new ConfigurationMenu(appli);
        configurationMenu.setVisible(true);
        appli.enableConfigurationMenu(false);
    }
}