package edu.mermet.tp8.actions;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;
import javax.swing.JEditorPane;
import javax.swing.event.TreeSelectionEvent;
import javax.swing.event.TreeSelectionListener;

public class ActionSelection implements TreeSelectionListener {
    
    private JEditorPane label;
    
    public ActionSelection(JEditorPane label) {
        super();
        this.label = label;
    }
    
    @Override
    public void valueChanged(TreeSelectionEvent e) {                
        try {
            InputStream inputTitre = new FileInputStream("src/main/java/edu/mermet/tp8/HowTo/titres.properties");
            InputStream inputText = new FileInputStream("src/main/java/edu/mermet/tp8/HowTo/textes.properties");
            
            Properties titre = new Properties();
            Properties textes = new Properties();

            titre.load(inputTitre);
            textes.load(inputText);
            
            if(e.getPath().toString().contains(titre.getProperty("gras"))) {
                label.setText(textes.getProperty("gras"));
            }else if (e.getPath().toString().contains(titre.getProperty("CelFar"))) {
                label.setText(textes.getProperty("CelFar"));
            }else if (e.getPath().toString().contains(titre.getProperty("FarCel"))) {
                label.setText(textes.getProperty("FarCel"));
            }else if (e.getPath().toString().contains(titre.getProperty("couleur"))) {
                label.setText(textes.getProperty("couleur"));
            }
        }catch (IOException ex) {
            ex.printStackTrace();
        }
        
    }
}